package com.jpsoft.shinestar.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.BillPush;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface BillPushDAO {
	int insert(BillPush entity);
	int update(BillPush entity);
	int exist(String id);
	BillPush get(String id);
	int delete(String id);
	List<BillPush> list();
	List<BillPush> search(Map<String, Object> searchParams, List<Sort> sortList);

    BillPush findByOrderId(String orderId);
}